<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'assetsadm',

    /*
     * Package.
     */
    'package'   => 'branchmaster',

    /*
     * Modules.
     */
    'modules'   => ['branchmaster'],

    /*
     * Image size.
     */
    'image'    => [
        'xs' => [
            'width'     => '60',
            'height'    => '45',
            'action'    => 'fit',
            'watermark' => 'img/logo/default.png',
        ],
        'sm' => [
            'width'     => '160',
            'height'    => '120',
            'action'    => 'fit',
            'watermark' => 'img/logo/default.png',
        ],
        'md' => [
            'width'     => '460',
            'height'    => '345',
            'action'    => 'fit',
            'watermark' => 'img/logo/default.png',
        ],
        'lg' => [
            'width'     => '800',
            'height'    => '600',
            'action'    => 'resize',
            'watermark' => 'img/logo/default.png',
        ],
        'xl' => [
            'width'     => '1000',
            'height'    => '750',
            'action'    => 'resize',
            'watermark' => 'img/logo/default.png',
        ],
    ],

    'branchmaster'       => [
        'model'             => 'Assetsadm\Branchmaster\Models\Branchmaster',
        'table'             => 'branchmasters',
        'presenter'         => \Assetsadm\Branchmaster\Repositories\Presenter\BranchmasterItemPresenter::class,
        'hidden'            => [],
        'visible'           => [],
        'guarded'           => ['*'],
        'slugs'             => ['slug' => 'name'],
        'dates'             => ['deleted_at'],
        'appends'           => [],
        'fillable'          => ['user_id', 'upload_folder', 'branchid',  'branchname',  'descri',  'idate'],
        'translate'         => ['branchid',  'branchname',  'descri',  'idate'],

        'upload-folder'     => '/uploads/branchmaster/branchmaster',
        'uploads'           => [
                                    'single'    => [],
                                    'multiple'  => [],
                               ],
        'casts'             => [
                               ],
        'revision'          => [],
        'perPage'           => '20',
        'search'        => [
            'name'  => 'like',
            'status',
        ],
    ],
];
